﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sevomin.Models
{
    public class ParameterValue
    {
        [Key]
        public int Id { get; set; }

        [Required]
        [Index]
        [Index("IX_UniqueKey", 1, IsUnique=true)]
        public int GroupKey { get; set; }

        [Required]
        [Index("IX_UniqueKey", 2, IsUnique = true)]
        public string Value { get; set; }
    }
}
