﻿using System.Data.Entity.Core.Objects;

namespace Sevomin.Models.Repositories
{
    public interface IRepository<K, T>
    {
        void Add(T entity);
        T Find(K identifier);
        void Delete(T entity);
        void Save(SaveOptions options = SaveOptions.AcceptAllChangesAfterSave);
    }

    public interface IUserRepository : IRepository<string, User>
    {

    }
}
