﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Sevomin.Models.Helpers;


namespace Sevomin.Models
{
    public class Parameter
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Name { get; set; }

        [Required]
        public bool Moscow { get; set; }

        [Required]
        public byte DisplayMethod { get; set; }

        [Required]
        public string GroupName { get; set; }

        [StringLength(140)]
        public string CommentAvalin { get; set; }

        [StringLength(140)]
        public string CommentDovomin { get; set; }


    }
}
